Retail Express API 2.1

fulfilmentorders

Searches fulfilment orders by parameters

Searches fulfilment orders by parameters

get
https://api.retailexpress.com.au/v2.1/fulfilment/fulfilmentorders

Query Parameters

order_item_idinteger | null(int32)

Order item id.

order_idinteger | null(int32)

Order id.

fulfilment_idinteger | null(int32)

Fulfilment id

fulfilment_service_idstring | null(uuid)

Fulfilment service id.

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns fulfilment orders

fulfilment.Order.PagingResponse

* Additional properties are NOT allowed.
dataOne Of
array | null

Order model.

fulfilment.ShippitOrderobject

Shippit order model.

* Additional properties are NOT allowed.
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/fulfilment/fulfilmentorders
 
application/json

Get specific fulfilment order by fulfilment id

Get specific fulfilment order by fulfilment id

get
https://api.retailexpress.com.au/v2.1/fulfilment/fulfilmentorders/{id}

Path Parameters

idinteger(int32)required

Fulfilment id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Success

Order model.

One Of
get/fulfilment/fulfilmentorders/{id}
 
application/json

inventory

Searches Inventories by parameters

Searches Inventories by parameters

get
https://api.retailexpress.com.au/v2.1/inventory

Query Parameters

sales_channel_idstring | null

Sales Channel Id or Collection of Sales Channel Ids (comma separated)
Example: 14,3,312

skustring | null

Product SKU or Collection of Product SKUs (comma separated)
Example: sku1,sku2,sku3

outlet_idstring | null

Outlet Id or Collection of Outlet Ids (comma separated)
Example: 1,2,3

product_idstring | null

Product Id or Collection of Product Ids (comma separated)
Example: 1,2,3

modified_sincestring | null(date-time)

Modified since search parameter

order_bystring | null

Order by.

Available field name values: modified_on, allocated, available, stock_on_hand, faulty, on_order, picked, received, requested,
transit_in, transit_out, last_sold_on, last_fulfiled_on, msl

Available direction values: asc, desc.

Example: modified_on asc, allocated desc, msl asc

filter_bystring | null

Filter by.
Available field name values: modified_on, allocated, available, stock_on_hand, faulty, on_order, picked, received, requested,
transit_in, transit_out, last_sold_on, last_fulfiled_on, sales_channel_id, outlet_id, product_id, sku, msl

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: product_id:eq:2, last_sold_on:isnotnull, stock_on_hand:gte:0, msl:gte:100

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Inventories data

Inventory.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Inventory view model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/inventory
 
application/json